#
# filter the rman generated HTML file to include our own header stuff
# into the generated HTML
#

BEGIN	{
}





				{
	line = $0;

	gsub(/<p><br \/><\/p>/, " ", line);
	gsub("\"http \"", "\"http\"", line);
	gsub("\"https \"", "\"https\"", line);
	gsub(" Url", " URL", line);

	if (match(line, /<blockquote>/))
	{
		Astate = 1;
		gsub(/<blockquote>/, "", line);
	}
	else if (Astate == 1 && !match(line, /<dl>/) && !match(line, /<ul>/) && match(line, /[a-zA-Z0-9]+/))
	{
		# skip manipulation!
		Astate++;
		sub(/^(.)/, "<blockquote> &", line);
	} 
	else if (Astate == 1 && match(line, /<dl>/))
	{
		Astate++;
	} 
	else if (Astate == 1 && match(line, /<ul>/))
	{
		Astate++;
	} 


	if (match(line, /<\/dl>/))
	{
		Dstate = 1;
		gsub(/<\/dl>/, "", line);
	}
	else if (Dstate == 1 && !match(line, /<dl>/) && match(line, /[a-zA-Z0-9]+/))
	{
		# skip manipulation!
		Dstate++;
		sub(/^(.)/, "</dl> &", line);
	} 
	else if (Dstate == 1 && match(line, /<dl>/))
	{
		Dstate++;
		gsub(/<dl>/, "", line);
	} 

	# and make sure <li> is followed by <p> 
	if (match(line, /<li>/) && !match(line, /<li><p>/))
	{
		gsub(/<li>/, "<li><p>", line);
	}



	# additional <quote> postprocessing:
	if (!match(line, /-tr_str_str/))
	{
		gsub(/&lsquo;&lsquo;/, "\\&ldquo;", line);
		gsub(/&rsquo;&rsquo;/, "\\&rdquo;", line);
	}
	

	printf("%s\n", line);
}

