/***************************************************************************/
/*    This code is part of WWW grabber called pavuk                        */
/*    Copyright (c) 1997 - 2001 Stefan Ondrejicka                          */
/*    Distributed under GPL 2 or later                                     */
/***************************************************************************/

#ifndef _digest_auth_h_
#define _digest_auth_h_

#include "url.h"
#include "doc.h"

extern http_digest_info *http_digest_parse(const char *authtag);
extern void http_digest_deep_free(http_digest_info *);
extern char *http_get_digest_auth_str(http_digest_info * auth_digest, const char *method, const char *user, const char *pass, url * urlp, char *buf, size_t size);
extern int http_digest_do_proxy_auth(doc *docu, const char *authtag);
extern int http_digest_do_auth(doc *docu, const char *authtag);

#endif

