#
# filter the makeinfo generated HTML file to fix the generated HTML
#

BEGIN	{
	HDRstate = 1;
}





				{
	line = $0;

	gsub(/<dd>/, "<dd><p>", line);
	gsub(/<dd><p><p>/, "<dd><p>", line);

	gsub(/<br><dt>/, "<dt>", line);
	gsub(/<br><\/td>/, "</td>", line);

	# fixup tables: let CSS + browser decide!
	gsub(/ valign="top"/, "", line);
	gsub(/ align="left"/, "", line);
	gsub(/ width="50%"/, "", line);

	gsub(/<p><br \/><\/p>/, " ", line);


        # remove the 'Up:' node at the top:
        
	if (HDRstate == 1 && match(line, /<div class="node">/))
	{
		HDRstate++;
		next;
	}
	if (HDRstate == 2)
	{
		if (match(line, /<\/div>/))
		{
			HDRstate++;
		}
		next;
	}

        # now patch <h2> around pavuk title to <h1> as it should be:
	if (HDRstate == 3 && match(line, /<h2/))
	{
		HDRstate++;
		sub(/<h2/, "<h1", line);
		sub(/<\/h2/, "</h1", line);
	}

	printf("%s\n", line);
}

