/***************************************************************************/
/*    This code is part of WWW grabber called pavuk                        */
/*    Copyright (c) 1997 - 2001 Stefan Ondrejicka                          */
/*    Distributed under GPL 2 or later                                     */
/***************************************************************************/

#ifndef _css_h_
#define _css_h_

#include "dllist.h"
#include "url.h"


extern dllist *css_get_all_links(url *doc_url, const char *stylestr, const char *base, const char *baset, int no_limits);
extern char *css_to_absolute_links(url *doc_url, const char *stylestr, const char *base, const char *baset);
extern char *css_remote_to_local_links(url *doc_url, const char *stylestr, int all, int sel, const char *base, const char *baset);
extern char *css_change_url(url *doc_url, const char *stylestr, url *url_old, const char *url_new);

#endif

