/***************************************************************************/
/*    This code is part of WWW grabber called pavuk                        */
/*    Copyright (c) 1997 - 2001 Stefan Ondrejicka                          */
/*    Distributed under GPL 2 or later                                     */
/***************************************************************************/

#ifndef _recurse_h_
#define _recurse_h_

#include "dllist.h"
#include "doc.h"
#include "url.h"


extern int process_document(doc *docu, int check_lim);
#ifdef I_FACE
extern int download_single_doc(url *);
extern void *download_single_doc_as_thread(void *param);
#endif
extern void recurse(int);
extern void get_urls_to_resume(const char *dirname);
extern void get_urls_to_synchronize(const char *dirname, dllist **list);

extern void dump_url(url *urlp);
extern void dump_ftp_list(dllist *);
extern void dump_urls_list(dllist *sublist, doc *docu);
extern void dump_cfg_formdata(const char *urlstr, dllist *formdata);
extern void dump_formlist(const char *urlstr, dllist *formlist);


#endif

